%global srcname %(echo %{name} | sed 's/^python-//')

Name:           python-xml2rfc
Version:        2.5.2
Release:        2%{?dist}
Summary:        Convert IETF RFC-2629 XML into txt format

Group:          Development/Languages
License:        BSD with advertising
URL:            https://pypi.python.org/pypi/xml2rfc/
Source0:        https://files.pythonhosted.org/packages/source/x/xml2rfc/xml2rfc-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel python3-devel python-setuptools
# for testing
BuildRequires:  python-virtualenv
BuildRequires:  libxslt-devel libxml2-devel

%description
Xml2rfc generates RFCs and IETF drafts from document source in XML
according to the dtd in RFC-2629.  It takes as input an xml file which
contains the text and meta-information about author names etc., and
transforms it into suitably formatted output. The input xml file should
follow the DTD given in RFC-2629 (or it's unofficial successor).

%package -n python2-%{srcname}
Summary: The python2 tools to convert IETF RFC-2629 XML into txt format
%{?python_provide:%python_provide python2-%{srcname}}
Requires: python2-lxml python2-requests >= 2.5.0
BuildRequires: python2-requests >= 2.5.0

%description -n python2-%{srcname}
Convert IETF RFC-2629 XML into txt format

%package -n python3-%{srcname}
Summary: The python3 tools to onvert IETF RFC-2629 XML into txt format
%{?python_provide:%python_provide python3-%{srcname}}
Requires: python3-lxml python3-requests >= 2.5.0
BuildRequires: python3-requests >= 2.5.0

%description -n python3-%{srcname}
Convert IETF RFC-2629 XML into txt format

%prep
%autosetup -n %{srcname}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.utf8
mv -f LICENSE.utf8 LICENSE

%build
%py2_build
%py3_build

%check
#%{__python2} setup.py test
#%{__python3} setup.py test

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE
%doc changelog README
%{python2_sitelib}/*

%files -n python3-%{srcname}
%license LICENSE
%doc changelog README
%{python3_sitelib}/*
%{_bindir}/xml2rfc

%changelog
* Tue Apr 25 2017 Paul Wouters <pwouters@redhat.com> - 2.5.2-2
- Resolves: rhbz#1444858 xml2rfc: no xml2rfc executable is present

* Tue Apr 04 2017 Paul Wouters <pwouters@redhat.com> - 2.5.2-1
- Updated to 2.5.2
- Resolves rhbz#1438375 xml2rfc: incorrect dependencies
- Resolves rhbz#1323171 Provide a Python3 subpackage
- Enable tests
- Updated source url

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 31 2016 Paul Wouters <pwouters@redhat.com> - 2.5.1-1
- Updated to 2.5.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Paul Wouters <pwouters@redhat.com> - 2.4.2-4
- Fix typo, convert LICENSE to utf-8, check fix and python-setuptools fix

* Sun Sep 01 2013 Paul Wouters <pwouters@redhat.com> - 2.4.2-3
- Patch for paginated_txt.py by Miek, fixes my draft crasher

* Sat Aug 31 2013 Paul Wouters <pwouters@redhat.com> - 2.4.2-2
- Fixup summary, remove cleaning buildroot, remove upstream egg-info
- Added BuildRequire for python-virtualenv to run tests
- Added commented check target - but it has issues to pass
- Fix license to BSD with advertising

* Fri Aug 30 2013 Paul Wouters <pwouters@redhat.com> - 2.4.2-1
- Initial Package
